package com.yh.saas.plugin.configuration.vessel.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.winsea.svc.base.base.entity.CommonVessel;

/**
 * <p>
 * 记录船舶信息 服务类
 * </p>
 *
 * @author SunTianjun
 * @since 2019-04-11
 */
public interface ISystemVesselService {

	/**
	 * 修改船舶信息
	 * 
	 * @param vessel
	 */
	void changeInfo(CommonVessel vessel);

	/**
	 * 分页查询船舶信息
	 * 
	 * @param example
	 * @return
	 */
	Page<CommonVessel> getVesselPage(CommonVessel example);

	/**
	 * 获取船舶信息详情
	 * 
	 * @param vesselId
	 * @return
	 */
	CommonVessel getVesselOne(String vesselId);

}
